<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:bind="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="viewModel"
            type="com.neugelb.homeofmovies.feature.moviedetails.MovieDetailsActivityViewModel" />
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/app_background"
        android:orientation="vertical"
        tools:context=".feature.movielist.MovieListActivity">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <FrameLayout
                        android:id="@+id/imageView_wrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <ImageView
                            android:id="@+id/imageView"
                            android:layout_width="match_parent"
                            android:layout_height="300dp"
                            android:adjustViewBounds="true"
                            android:scaleType="centerCrop"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            bind:srcUrl="@{viewModel.bindingModel.movie.poster_path}" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="300dp"
                            android:layout_gravity="top"
                            android:background="@drawable/fade_drawable" />

                        <ImageButton
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:background="@null"
                            android:onClick="@{() -> viewModel.watchMovieTrailer()}"
                            android:src="@drawable/ic_play"
                            bind:goneUnless="@{viewModel.bindingModel.movie.hasVideo}" />

                    </FrameLayout>

                    <TextView
                        android:id="@+id/movie_title_textview"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_marginTop="15dp"
                        android:fontFamily="@font/robotocondensed_bold"
                        android:gravity="center"
                        android:text="@{viewModel.bindingModel.movie.title}"
                        android:textColor="@android:color/white"
                        android:textSize="34sp"
                        app:layout_constraintBottom_toBottomOf="@+id/imageView_wrapper"
                        app:layout_constraintTop_toBottomOf="@+id/imageView_wrapper" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginEnd="10dp"
                    android:fontFamily="@font/roboto_light"
                    android:gravity="center"
                    android:text='@{viewModel.bindingModel.movie.releaseDate + " | " + viewModel.bindingModel.movie.movieGenre + " | " + viewModel.bindingModel.movie.readableRunTime}'
                    android:textColor="@android:color/white"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <RatingBar
                        style="@style/RatingBar"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="5dp"
                        android:isIndicator="false"
                        android:numStars="5"
                        android:rating="@{viewModel.bindingModel.movie.simplifiedAverage}"
                        android:stepSize="0.5" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="5dp"
                        android:fontFamily="@font/roboto_light"
                        android:text="@{String.valueOf(viewModel.bindingModel.movie.voteAverage)}"
                        android:textColor="@android:color/white"
                        tools:text="1231564" />
                </LinearLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="30dp"
                    android:layout_marginEnd="15dp"
                    android:fontFamily="@font/robotocondensed_bold"
                    android:text="@string/movie_synopsis"
                    android:textColor="@android:color/white"
                    android:textSize="24sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginEnd="15dp"
                    android:fontFamily="@font/roboto_regular"
                    android:lineSpacingExtra="2dp"
                    android:text="@{viewModel.bindingModel.movie.overview}"
                    android:textColor="@android:color/white" />


            </LinearLayout>

        </ScrollView>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>
</layout>